Skip to main content
PATCH
Update a reporter subscription

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Path Parameters

subscription_id
string
required

Reporter subscription to update.

Pattern: ^rsub_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Body

application/json

Non-null subscription settings to replace.

enabled
boolean | null

Non-null value for whether the subscription accepts new triggers.

params
Params · object | null

Non-null replacement parameters passed to the reporter.

limits
ReporterLimitsOverride · object | null

Non-null replacement run-limit overrides.

publish_posts
boolean | null

Non-null value for whether to publish completed render outputs as posts.

Response

Successful Response

id
string
required

Reporter subscription ID.

reporter
PinnedReporterRef · object
required

Reporter version selected by the subscription.

dependencies
ReporterDependencySpec · object[]
required

Reporter runs that must complete before each subscribed run.

owner_user_id
string
required

User who owns the subscription.

trigger
enum<string>
required

Event that starts a reporter run.

Available options:
round_closed,
episode_completed,
cron
league_id
string | null
required

League that limits the trigger, if any.

coworld_id
string | null
required

Coworld that limits the trigger, if any.

cron
string | null
required

Five-field cron expression for a cron trigger, otherwise null.

params
Params · object | null
required

Parameters passed to the reporter, if any.

publish_posts
boolean
required

Whether completed render outputs are published as posts.

enabled
boolean
required

Whether the subscription accepts new triggers.

created_at
string<date-time>
required

Time the subscription was created.